rooms/:name/sipCallTransfer
curl --request POST \
--url https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"toEndPoint": "<string>",
"callerId": "<string>",
"callerName": "<string>",
"waitBeforeExtensionDialSec": 0,
"extension": "1234"
}
'import requests
url = "https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer"
payload = {
"sessionId": "<string>",
"toEndPoint": "<string>",
"callerId": "<string>",
"callerName": "<string>",
"waitBeforeExtensionDialSec": 0,
"extension": "1234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: '<string>',
toEndPoint: '<string>',
callerId: '<string>',
callerName: '<string>',
waitBeforeExtensionDialSec: 0,
extension: '1234'
})
};
fetch('https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sessionId' => '<string>',
'toEndPoint' => '<string>',
'callerId' => '<string>',
'callerName' => '<string>',
'waitBeforeExtensionDialSec' => 0,
'extension' => '1234'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer"
payload := strings.NewReader("{\n \"sessionId\": \"<string>\",\n \"toEndPoint\": \"<string>\",\n \"callerId\": \"<string>\",\n \"callerName\": \"<string>\",\n \"waitBeforeExtensionDialSec\": 0,\n \"extension\": \"1234\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sessionId\": \"<string>\",\n \"toEndPoint\": \"<string>\",\n \"callerId\": \"<string>\",\n \"callerName\": \"<string>\",\n \"waitBeforeExtensionDialSec\": 0,\n \"extension\": \"1234\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sessionId\": \"<string>\",\n \"toEndPoint\": \"<string>\",\n \"callerId\": \"<string>\",\n \"callerName\": \"<string>\",\n \"waitBeforeExtensionDialSec\": 0,\n \"extension\": \"1234\"\n}"
response = http.request(request)
puts response.read_body{
"ok": "true"
}SIP / Call Transfer
Room SIP Call Transfer
transfer sip/pstn call. Not supported for a session on the Daily SIP provider (provider: "daily"); use sipRefer for those sessions.
POST
/
rooms
/
{room_name}
/
sipCallTransfer
rooms/:name/sipCallTransfer
curl --request POST \
--url https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"toEndPoint": "<string>",
"callerId": "<string>",
"callerName": "<string>",
"waitBeforeExtensionDialSec": 0,
"extension": "1234"
}
'import requests
url = "https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer"
payload = {
"sessionId": "<string>",
"toEndPoint": "<string>",
"callerId": "<string>",
"callerName": "<string>",
"waitBeforeExtensionDialSec": 0,
"extension": "1234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: '<string>',
toEndPoint: '<string>',
callerId: '<string>',
callerName: '<string>',
waitBeforeExtensionDialSec: 0,
extension: '1234'
})
};
fetch('https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sessionId' => '<string>',
'toEndPoint' => '<string>',
'callerId' => '<string>',
'callerName' => '<string>',
'waitBeforeExtensionDialSec' => 0,
'extension' => '1234'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer"
payload := strings.NewReader("{\n \"sessionId\": \"<string>\",\n \"toEndPoint\": \"<string>\",\n \"callerId\": \"<string>\",\n \"callerName\": \"<string>\",\n \"waitBeforeExtensionDialSec\": 0,\n \"extension\": \"1234\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sessionId\": \"<string>\",\n \"toEndPoint\": \"<string>\",\n \"callerId\": \"<string>\",\n \"callerName\": \"<string>\",\n \"waitBeforeExtensionDialSec\": 0,\n \"extension\": \"1234\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.daily.co/v1/rooms/{room_name}/sipCallTransfer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sessionId\": \"<string>\",\n \"toEndPoint\": \"<string>\",\n \"callerId\": \"<string>\",\n \"callerName\": \"<string>\",\n \"waitBeforeExtensionDialSec\": 0,\n \"extension\": \"1234\"\n}"
response = http.request(request)
puts response.read_body{
"ok": "true"
}Authorizations
Body
application/json
The id of a purchased phone number on the domain, not the phone number itself. The phone number associated with this id is displayed as the caller ID on the called phone.
The name the destination device shows for the incoming call: the display-name of the SIP From header. Only valid when toEndPoint is a SIP address, and not accepted by /sipRefer. Max 70 characters; ", \ and control characters are rejected. A back-to-back user agent (B2BUA) between Daily and the device decides what its own leg shows; see caller name on the called device.
Maximum string length:
70Response
200 - application/json
200